import {Component, Input, OnInit} from '@angular/core';
import {ApiChatService} from "../../../services/api-chat.service";
import {ActivatedRoute} from "@angular/router";
import * as vars from "../../../const/api";

@Component({
  selector: 'app-create-thread',
  templateUrl: './create-thread.component.html',
  styleUrls: ['./create-thread.component.css']
})


export class CreateThreadComponent implements OnInit {

  @Input() board: string;
  showCreateThread:boolean = false;
  progress: number;
  OPmessage: string = '';
  OPfilename: string[] = [];

  constructor(
    public apiChatService: ApiChatService,
    private activatedRoute:ActivatedRoute
  ) {
  }


  sendOP(text: string) {
    this.apiChatService.createThread(this.OPmessage, this.OPfilename, this.board)//.subscribe( response => {
    //response = response.toString();
    //vars.showAlert(response.toString(), "#ff0a36");
    //this.refreshDisplayedThread();
    //});
    this.OPmessage = '0';
    this.OPfilename = [];
  }


  sendPic(event: any) {
    //this.apiChatService.sendpic(event.target.files[0]).subscribe(
     // response => {
        //response = response.value.toString();
        //this.OPfilename.push(response);
        //vars.showAlert("Картинка " + response + " добавлена к оп-посту!", "#ff0a36")
      //});
  }

  ngOnInit(): void {
  }

}
